After languishing in conference
committee for several months, the
Telecommunications Act of 1996
passed Congress and was sighed into
law by President Clinton a few days
later. The president and vice president
extolled the importance of the bill,
both as a mechanism for unlocking
investments in a new advanced
information infrastructure and as a
major jobs creator.

To the dismay of many in the
Internet user and service provider
communities, content controls
imposing severe criminal penalties were
included in the bill. The amendment’s
wording and form did not change
substantively from the version that
distressed many proponents of free
speech. Clinton and Gore were silent
on this issue in their initial statements.
The president did applaud the so-
called “V-chip” provision mandating
that television sets be produced with
technology that allows people to screen
out violent programs.

Civil liberties and other public
interest groups, publishers and writers
began filing petitions to federal courts
asking for an injunction against
Groups to challenge telecom

The telecommunications law inevitably represents

political compromise much more than rational

economic and market analysis.

enforcement of those provisions and an
immediate court review of their
constitutionality.

It was apparent the bill contained
a lot that the president wanted in the
form of regulatory reform, and, thus,
he would sign it. Some civil liberties
groups hoped he would at least
express concern about the restric-
tions and that a court would overturn
the content controls. The groups now
say they expect the Justice Department
to defend the restriction vigorously and
aggressively in court.

Given the complexity and the
controversy that have swirled around
the bill since it was submitted in
January 1995, the margins of victory
were very high and bipartisan: 414-16
in the House and 91-5 in the Senate.
This consensus was probably due to a
combination of factors, not least of
which must have been the strong
desire on the part of both the White
House and Congress to demonstrate
a major legislative accomplishment
before primary elections began.

The Senate and House passed
markedly different versions of the bill in
the spring and summer of 1995,
respectively. Since then the legislation
has been the subject of endless
conference meetings, as congressional
staff members and their bosses negoti-
ated over sometimes fundamental
differences in language and approach.
Lobbying was intense. The bill
rearranges the markets and roles of
an information and communications
industry sector whose markets
approach $1 trillion.

In December movement was
halted when Senate Majority Leader
and presidential candidate Robert
Dole (R-KS) opposed the free
allocation of spectrum for broadcast-
ers to provide high-definition
television service. House leaders
stated they were happy with the bill
as it stood and had no intention of

S&T funding affected by shutdown

Bv Bill Gregory

Special to CRN

Ripples from the federal government
shutdown are dissipating, but a larger
issue over the future of science and
technology funding will hang on much
longer: the nebulous planning environ-
ment that has left program and
contracting officers in limbo, reluctant
to commit new money.

Most agencies that support basic
research are innocent bystanders
sideswiped in the budget battle over
welfare and entitlements between a
Republican Congress and a Demo-
cratic White House. The result is an
unprecedented disruption of the long,
continuous and complex federal
budget process and threats of more
funding delays to researchers.

Federal agencies generally massage
their budgets for the next fiscal year
through the previous summer and fall,
when internal decisions are made.
Then the Office of Management
Budget reviews and changes budgets in
accordance with White House policy.
Finally a finished product goes to
Capitol Hill in late January or early
February.

This February, the fiscal 1997
budget is still in gestation. (Clinton’s
1997 budget is available on the
Internet at http://www.doc.gov/

BudgetFY97/index.html.) Half a year
sounds like enough time to recover
the timetable, but Congress is likely
to take even more time than that. If
Congress is a little late, a continuing
resolution keeps the government
operating for a month or two at
appropriation levels of the past year.

The government has now had
five months of continuing resolu-
tions with different levels and
ceilings. If the deadlock runs on—
and it could—the outcome will be a
de facto budget cut.

The National Science Foundation
is typical of the agencies caught in
the middle. Here’s how Melvyn
Ciment, deputy assistant director of
the Computer and Information
Science and Engineering Directorate,
sketches the problem.

Planners are told to take the lower
of House or Senate fiscal 1996
authorizations or the significantly
smaller 1995 appropriation, then limit
obligations to 75% of that until the
budget is settled. “It turns out very
often that National Science Founda-
tion business is such that 60% of a
program’s funds are already commit-
ted,” he said. “If you're committed at
60% and can only go to 75%, you don't
have a whole lot left. A lot of people
are delaying their actions, putting

things off until the end of the year.”

Multidisciplinary work that the
agency is pushing has been one
casualty. “This year we were going
to establish a computer science
multidisciplinary challenge,” Ciment
said. “It wasn't done.” Why? Lack of
new money perhaps, but Ciment
added: “We wouldn't even attempt it
in this environment. It takes a lot of
extra work to find the money, for
people to go around the building and
ask for contributions to an innovative
new project. People don't make
contributions to innovative new things
when they’re not sure what they’re
going to have for their ordinary things.”

A budget ceiling of 75% of the last
appropriation translates into authority
to spend at a tight daily rate. Continu-
ing grants for research to universities or
industry come up, and increments have
to be paid. With those kinds of
commitments to meet, the agency runs
out of money for routine new things,
such as travel expenses, consultants
and ad hoc panels.

New programs mean review
panels. “When you are closing out
your financial books in August, you're
not holding a lot of panels,” Ciment
said. “They’re held at this time of the
year to make the decisions. We're

Continued on Page 2

law In court

changing it. Congress watchers began
to think the bill might unravel.

The issue was straightforward. In
recent years, the government has
increasingly allocated spectrum for
commercial use through auction.
Economists like it because, in their
view, it leads to efficient use of the
spectrum. Politicians like it because it
raises funds in an era of budget cutting.

Dole’s objection was on fiscal
grounds. He pointed to estimates that
the economic value of the spectrum, if
auctioned, was tens of billions of
dollars. Why, in these days of budget
cutting, is Congress giving away such a
valuable public resource? he asked.

House negotiators were firmly
opposed to auctioning the spectrum to
broadcasters. Commerce Committee
Chair Thomas Bliley Jr. (R-VA) said
the provision was not a “giveaway,”
because the government was “loaning”
the spectrum for transition purposes.

Unexpectedly, Dole retreated from
direct opposition to the bill, although
he still expressed doubts during floor
debate. Whether this had anything to
do with the state of his presidential
campaign is an open question.

Itis hard to characterize the 200-
plus-page bill, especially because it was
not published and distributed before
the vote. Basically, it is an attempt to
modernize and strip down a 75-year
accumulation of regulations and
procedures for deciding who can

Continued on Page 2
Letters

Keeping our customers happy

Editor:

In his article in the January 1996
CRN, “Criticism of Undergrad
Curricula Justified,” Peter Denning
tells computer science faculty to view
employers and students as their
customers. While the suggestion is
apt, | wish Denning had explored
further the multiple and conflicting
demands from these customer classes.

As Denning says, employers seek
competence in the graduates they
hire. But what is the nature of that
competence? Where computer
science faculty would emphasize
competence in fundamental prin-
ciples, many employers would like
students to have extensive experience
with a particular program or system.

Employer-customers may present
a mixed bag of demands, but the
demands from student-customers
vary much more widely. Students
differ greatly in the energy, enthusi-
asm, independence, talents and time
they bring to learning. Of particular
concern to this topic is the pernicious
yet common misconception among
students that their grades should be
proportional to effort expended
rather than to results achieved or
competence demonstrated. One can
only imagine the mismatch in
expectations they will encounter with
their first employers.

Faculty members teach at the
nexus between employer-customers
and student-customers, yet the
teacher-effectiveness training
mentioned by Denning often is
concerned exclusively with student-
customers. Such programs can place
tremendous responsibility on teachers
to vary their teaching to stimulate
different input-processing modalities,
accommodate each student’s indi-
vidual learning style, devise empow-

erment strategies that ensure success
for all and warm up a chilly classroom
atmosphere. After all this work, if
students do not succeed, the pro-
grams may suggest that the assess-
ment strategy was insufficiently
authentic. Notable by their absence
are descriptions of students’ responsi-
bilities or of requirements for
competence in subject material.

In no way do | intend to deni-
grate all aspects of training in
teaching effectiveness. Indeed, after |
leave a workshop or finish reading
about teaching and learning, | almost
always have some new ideas and
more food for thought. Still, I would
welcome material on teaching that
presents a more balanced view of the
need of student-customers for good
teaching and the need of both faculty
and employer-customers to preserve
high scientific content.

Christopher J. Van Wyk
Dept. of Mathematics & Computer Science
Drew University

Denning Replies:

I am heartened that Professor Van
Wk accepts the notion of students
as customers and proposes the
questions that we need to explore to
sort out the complexities in practice.
His questions about the nature of
competence and the expectations of
students and employers go right to
the heart of the criticisms directed at
us as educators.

The essence of the customer-
performer relationship is that the
performer makes a promise to deliver
to the customer the conditions of
satisfaction agreed to between them.
The key word here is “promise.” Most
of our catalogs promise students
preparation for their chosen profes-
sions, a timely and relevant curricu-

lum, a knowledgeable faculty, a state-
of-the-art research program and
opportunities for a good job. These
are broad promises that raise expecta-
tions in the minds of students and
employers that we are not meeting.

Most students think that these
promises mean: 1) they will gain the
necessary competencies in action and
habits of mind that are widely
expected of entry-level professionals;
2) most of the subject matter will be
related to emerging trends and every
program maintains a regular planning
process to track trends; 3) the
research program and research
faculty will be accessible to under-
graduates; 4) getting a job will be
fairly certain on graduation; and 5)
getting individualized advice on
demand will be easy. Every difference
in expectations among students,
parents and employers on the one side
and faculty on the other is a surefire
recipe for a dissatisfied customer.

How many of us as faculty have
the same understanding as our
students of what we are promising?
How many of us can tell students
exactly what they will be competent
at on graduation? How do we—and
they—know whether we have
delivered these competencies? How
many of us regularly get feedback from
students, parents and employers about
their expectations of our programs?
When we do get the feedback, do we
act on it? How many of us are ready to
be judged for promotion, tenure and
raises on the basis of the results
produced by our students?

| gave preliminary answers to
these questions in “Educating a New
Engineer” (Communications of the
ACM, December 1992), and | accept
Van WyK’s challenge to put together
a deeper essay on this topic.

| S&T Funding from Page 1 |

having trouble scheduling panels. We
can’'t schedule beyond the horizon of
the next continuing resolution
deadline. In this environment you
don't start new initiatives. Everything
starts focusing on just getting the
bare-bones work done.”

Proposals will be processed.
Grants will be made. These numbers
may not look much different from the
past. “What will be missing will be
the usual level of new calls for
proposals, the new initiatives and

new panels that might energize new
ideas,” Ciment said.

Looming over all the furlough
and current budget issues in Ciment’s
view is the long-term prospect of cuts
in research and development. “For
the first time anyone can recall in
modern budgeting cycles, we are
being told by Congress and the
White House—this is not a unilateral
decision—that R&D is going to
diminish in this country,” he said.
“They’re talking about 30% declines
overall. The National Science

Foundation will probably experience
a 2% to 5% cut this year.” Over seven
years, that translates into a range of
14% to 35%.

In the expansionary promises of
the last 10 or 15 years, larger budgets
were dangled in front of the agency.
It was told to think boldly and create
programs. “Maybe we overexpanded,”
Ciment said. “Perhaps we funded too
many people, just to get them started.
We got to the point where we were
slicing the pie too thin. Now there
won't be new money.”

| Telecom from Page 1 |

provide what service, under what terms
and for what price. Much of the bill’s
language is a detailed exposition of
which companies will be freed up to do
what and when.

For instance, the bill ends federal
regulation of cable television in three
years and allows regional telephone
companies that meet certain criteria
to offer long-distance services. It goes
on in a similar vein through dozens of
more specialized and general tele-
communications services.

The end result inevitably repre-
sents political compromise much
more than rational economic and
market analysis, and economists
differ on how the compromises will

work out. Most agreed it was time to
try something—inaction threatened to
leave the communications industry
increasingly bogged down in a morass
of outdated restrictions and regulatory
procedures. The hoped-for outcome is
greater competition and, as a result,
lower prices and faster innovation.
Many consumer and other public
interest groups have been more
skeptical. They worry that decreased
regulation will lead to further concen-
tration and market domination by a
few very large firms. The recent wave
of mergers and buyouts in the
communications and information
industry may lend some weight to the
concern. Similarly, the argument that
this is a “jobs” bill rang a little hollow,

coming as it did on the heels of
another major wave of layoffs in the
telecommunications sector.

The hill contains a few provisions
that had been promoted by public
interest groups. Most notable is an
amendment establishing a system of
“preferential rates” for connectivity to
educational institutions, libraries and
other groups.

The bill contains provisions for
universal service, although it ducks the
key issue of what the term means for an
advanced infrastructure.

In general, the act constitutes a
major revision of the country’s
telecommunications laws. To be sure,
Congress has not heard the last of
telecommunications policy.
By Anita Borg, Adele Howe
and Mary Jane Irwin

On Dec. 13-15, 1995, more than 700
scientists and engineers attended the
Women and Science: Celebrating
Achievements, Charting Challenges
conference, sponsored by the
National Science Foundation. The
stated goal of the conference was to
be “outcomes oriented—fostering the
exchange of information and spurring
attendees to action at their home
institutions. Out of the celebration of
achievements will come new ideas for
meeting challenges to the full participa-
tion of all in the future science and
engineering work force.”

This article notes conference
highlights but focuses on sessions
organized by NSF’s Computer and
Information Science and Engineering
Directorate. The authors of this
article participated in these sessions;
Anita Borg of Digital Equipment
Corp. presented recommendations
from the technology session to the
plenary meeting. Information about
the overall conference structure with
bios of plenary keynote speakers can
be found at http://www.ehr.nsf.gov/
conferences/women95.htm.

The conference began on
Wednesday evening with a video
welcome by Hillary Rodham Clinton
and an inspiring keynote address by
France A. Cordova, NASA's chief
scientist. We also heard from Lynda
Jordan and Lydia Villa-Komaroff, who
were featured in the PBS “Discover-
ing Women” series. All represented
wonderful contradictions of the
cultural stereotypes of the successful
scientist.

After Thursday morning talks by
Linda Wilson, president of Radcliffe
College, and Anne Petersen, NSF’s
deputy director, the day was divided
into two sets of breakout sessions. In
the morning, discipline-based groups
organized by each NSF directorate
asked the question, “Where are we
now?” In the afternoon, cross-
disciplinary groups asked, “What are
the new directions?”

CISE organized its morning
session around efforts to recognize
women’s achievements and to attract
and retain women in computer
science and engineering. Projects of
the CRA Committee on the Status of

Expanding the Pipeline

Women's science contributions celebrated

Projects that bridge the boundaries between

computing and other disciplines create conditions ripe

for drawing women into computing.

Women in Research (CRAW) were
very prominent. Borg delivered the
keynote “Celebrating Achievements
by Women in CS & CE.” The talk
described the successes of the 1994
Grace Hopper Celebration of Women
in Computing and the goals of the
1997 GHC. Borg then proposed a
challenge and a new initiative to
meet it.

The challenge is to increase the
percentage of new scientists and
engineers who are female to 50% by
2010. Borg said she believes the
challenge can be met through strong
corporate support and intensive use of
the Internet to connect and inform
those working toward the goal.

Fran Allen, an IBM Fellow and
CRA Board member, responded:
“What Anita is proposing is extraor-
dinarily important for us in industry.
My first reaction was, we can't do it.
My second is that we must do it. My
third was that we absolutely can do
it, by starting with the young girls
and using the technology.”

Following the keynote, Mary Jane
Irwin of Pennsylvania State Univer-
sity, Joan Feigenbaum of AT&T, Fran
Berman of the University of Califor-
nia at San Diego and Joe O’Rourke of
Smith College—all CRAW mem-
bers—described both the alarming
downward trend in female participa-
tion in computing and the exciting
efforts of the CRAW committee.
These efforts include the database of
women Ph.D. recipients, mentoring
workshops and the CRA Distributed
Mentoring Project. [See the Septem-
ber 1994, May 1995 and September
1995 issues of CRN, respectively.]

Computer science and engineering
was the only discipline represented at
the conference that is suffering a
downward trend in participation.

The afternoon session, “The
Impact of Technology,” included
reports on a number of technical
projects women ran or participated in,
or that were relevant to women. A
common thread among these very
different projects was their integration
of traditional technical endeavors with
other fields or their use of unusual
approaches to the technical aspect of
the project.

= Tom Defanti and Maxine
Brown’s Electronic Visualization
Laboratory (University of lllinois at
Chicago) brings together technolo-
gists and artists to create virtual-
reality and virtual-prototyping
instrumentation for viewing scientific
and engineering data.

= Judith Klavans’ Digital Librar-
ies project (Columbia University) is a
collaboration between computer
scientists and librarians fostered in
part by creating an organization
outside of the normal academic
departments.

= Nancy Leveson’s work in
software safety (University of
Washington) bridges many gaps
among CS interface designers,
domain experts, risk assessors and
psychologists to develop a systems
theory that looks at whole systems
with the goal of understanding how
they can be made safe.

= Borg’s work on Mecca, an
interorganizational group communi-
cation system, unites 2,100 women in
computing in 24 countries in an
information-rich virtual community.

= Cynthia Lanius described her
participation in GirlITECH (Rice
University), a program to train
teachers to teach technology to girls.
Engineers and teachers worked
together to build teaching strategies,
use online resources, design lessons
that use technology and explore
representation issues.

= Cheris Kramarae is involved in
the Women, Information Technology
and Scholarship program (University
of Illinois at Urbana-Champaign)
that tries to increase female involve-
ment in campus decisions. The group
is noted for collecting and dissemi-
nating information about gender
issues in information technology.

In both the morning and after-
noon sessions, discussion among
audience members was lively and
contributed significantly to our
effort to recommend policies to
NSF. Based on Adele Howe’s great
record of the sessions, she, Borg
and O’Rourke assembled a set of
five recommendations.

Friday morning’s plenary session
began with an introduction by Luther
Williams, head of NSF’s Education
and Human Resources Directorate,
and an extraordinary talk by Shirley
Malcom, who heads Education and
Human Resources at the American

Association for the Advancement of
Science and is a member of the
president’s Committee of Advisers on
Science and Technology. These were
followed by presentations by the
reporter from each of Thursday’s
afternoon sessions.

Borg began by putting the
question, “How do we get there?” in
context. The first question to answer
is, “Where do we want to go?” She
repeated her earlier challenge,
suggesting that the conference
mantra be “50/50 by 2010.” In this
context, she made the following
points and recommendations:

1. Computing suffers from a
serious gender-ratio crisis. The
repercussions may be felt far beyond
the computing field. An early
rejection of computing may be as
devastating to a girl’s future prospects
in science as is a rejection of math-
ematics. We urge NSF to continue
significant funding to address this.

2. All ages and all levels present
challenges to gender-ratio equity. We
lose girls and women to science and
engineering at every stage in the
pipeline. We recommend increased
funding for programs such as
GirlTECH for K-12; merit awards for
women and mentoring toward
graduate school for undergraduate
women; mentoring, networking and
fellowships for graduate women; and
visiting professorships for faculty and
professional women.

3. Projects that bridge the
boundaries between computing and
other disciplines create conditions
ripe for drawing women into comput-
ing. We recommend that interdisci-
plinary work be highly valued in
funding decisions.

4. Projects with relevance to
reality seem to attract women.
Science and technology education
should be firmly grounded and
connected to real-world examples
showing their relevance and worth.
Funding criteria should value projects
that make a solid connection to real-
world problems.

5. The information revolution
embodied by the Internet presents a
risky opportunity. We are at a fork in
the road. We can follow a path to
disenfranchisement and social stratifi-
cation, or we can use the technology to
reduce isolation and increase the level
of scientific education for all citizens.
NSF should take this into account
when evaluating programs.

We hope NSF's directorates will
continue their commitment to
increasing the participation of
women in science and engineering
and will foster the collaborations of
industry, academia and government
to actively use information technol-
ogy to this end.

Anita Borg is a consultant engineer at
Digital Equipment Corp.

Adele Howe is an assistant professor of
computer science at Colorado State
University.

Mary Jane Irwin is a professor of
computer science and engineering at
Pennsylvania State University.
Conferences

CRA CONFERENCE AT SNOWBIRD 4 JULY 14-16 ¢ SNOWBIRD, UTAH

Preliminary Agenda

Sunday, July 14
CRA Board of Directors Meeting

Registration

Welcome Reception

Dinner and State of the CRA Address

9:00AmM=5:00pm

3:00pm—6:30PMm

6:00Pm—7:30PMm

7:30Pm—9:30PMm

Speakers: David A. Patterson, chair of the CRA Board of Directors
Fred W. Weingarten, CRA's acting executive director

The CRA Distinguished Service Award and the CRA A. Nico Habermann

Award will be presented after dinner.

Monday, July 15
Breakfast Buffet

Plenary Session I: The Future of Academic Research

Speaker: To be announced

Morning Break

Workshop | (parallel sessions)

7:00aM—8:30AM

8:30am—10:00Am

10:00am=10:30AM

10:30AM—NOON

= Discussion of Academic Research Plenary
= Department Management I: Research Support
= ACM/IEEE-CS Initiative on Software Engineering as a Profession

Luncheon

Plenary Session Il: The Future of Education

Speaker: To be announced

Workshop 11 (parallel sessions)
= Discussion of Education Plenary

NooN-1:30rPm

1:30pm—2:30pPMm

2:30Pm—3:30Pm

= Department Management Il: Recruiting and Training Faculty and Students

from Underrepresented Groups

= Computing, Communications and Public Policy

Afternoon Break
Birds of a Feather/Open Time
Reception

Dinner

3:30Pm—4:00pPm

4:00pm—6:00pPM

6:00rPm—7:00PMm

7:00prm—9:00pPm

Speaker (invited): Neal Lane, director of the National Science Foundation

Tuesday, July 16
Breakfast Buffet

Plenary Session Il1: The Future of Industrial Research

7:00amM—8:30AM

8:30av—10:00AMm

Organizer: Stuart Feldman, IBM T.J. Watson Research Center

Morning Break

Workshop 111 (parallel sessions)

10:00am—10:30AM

10:30AM—NOON

= Discussion of Industrial Research Plenary
= Department Management I11: Faculty and Students

= NSF Funding Opportunities

Luncheon

Workshop 1V (parallel sessions)

NooN—1:30pPm

1:30rm—3:00PMm

= Department Management IV: Equipment and Facilities

= Influencing Government Policy

« The World Wide Web in Research and Education

For more information, contact CRA at 1875 Connecticut Ave. NW, Suite 718,
Washington, DC 20009. Tel. 202-234-2111; e-mail: info@cra.org; URL: http://

cra.org.

FCRC scheduled for May

By Mary Jane Irwin

The second Federated Computing
Research Conference (FCRC '96)
will be held May 20-28 in Philadel-
phia. This year’s conference follows
the same model of the highly success-
ful FCRC 93, in which nine constitu-
ent conferences participated.

The FCRC model is one that
assembles a number of existing,
specialized research conferences into
a coordinated meeting held at a
common time in a common place.
This retains the advantages of the
smaller conferences while facilitating
communication among researchers in
different subfields in computer
science and engineering. And
because of its size, FCRC '96 also will
provide great visibility for the field as
a whole.

The conference is sponsored by
the Association for Computing
Machinery, the Computing Research
Association, the IEEE, the National
Science Foundation and the Society for
Industrial and Applied Mathematics.

FCRC '96 includes a number of
venues for attendee interaction
throughout the week.

Five mornings will start with a
plenary talk on a topic of broad
appeal to the CS&E community:

= “Information Technology is the
Lever, But Where Shall We Stand?”
William A. Wulf, University of
Virginia.

= “Designing Your Own Multi-
Threaded Processor.” Burton Smith,
Tera Computer.
= To be announced. Cynthia
Dwork, IBM Almaden Research
Center.

= “Computing is Interaction.”
Robin Milner, University of Cambridge.

* “The Case for Wireless Overlay
Networks.” Randy Katz, University of
California at Berkeley.

FCRC '96 also features an
evening panel on May 24 organized
by CRA. “Our Precarious Future:
Who Will Fund Computing Research
and Why?” will be moderated by
CRA Chair Dave Patterson.

Exhibits, consisting of books
and education software displays and
demonstrations, will be open May
22-26.

The FCRC "96 Organizing
Committee is made up of the chair of
each constituent conference plus
general chair, Mary Jane Irwin of
Pennsylvania State University; general
vice chair, Steve Mahaney of Rutgers
University; treasurer, Alan Berenbaum
of AT&T Bell Laboratories; exhibits
chair, Frank Friedman of Temple
University; and Steering Committee
chair, David Wise of Indiana University.

The conference’s advance program,
which includes the technical program
for each constituent conference and
registration and hotel information, is
now available. The registration
deadline is April 26. For more informa-
tion about FCRC '96 see http://
www.acm.org/conferences/fcrc.

Mary Jane Irwin is a professor of
computer science and engineering at
Pennsylvania State University and
general chair of FCRC '96.

Modeling of Computer Systems

Implementation

FCRC 96 constituent conferences

= CRA Workshop on Academic Careers for Women in Computer Science
= 23rd Annual ACM/IEEE International Symposium on Computer Architecture
= International Conference on Supercomputing

= ACM SIGMETRICS International Conference on Measurement and

= 28th Annual ACM Symposium on Theory of Computing

= 11th Annual IEEE Conference on Computational Complexity

= 15th Annual ACM Symposium on Principles of Distributed Computing
= 12th Annual ACM Symposium on Computational Geometry

= First ACM Workshop on Applied Computational Geometry

< ACM/UMIACS Workshop on Parallel Algorithms

= ACM SIGPLAN '96 Conference on Programming Language Design and

= Workshop of Functional Languages in Introductory Computing

= ACM SIGPLAN International Conference on Functional Programming
= 10th ACM Workshop on Parallel and Distributed Simulation

= ACM SIGMETRICS Symposium on Parallel and Distributed Tools

= 4th Annual ACM/IEEE Workshop on 1/O in Parallel and Distributed Systems

= SIAM Symposium on Networks and Information Management

CRA workshop planned

Another version of the successful
CRA Workshop on Academic
Careers for Women in Computer
Science is being offered May 20-21 in
conjunction with the Federated
Computing Research Conference.
The workshop will bring women
just starting their academic careers—
either advanced graduate students or
newly hired faculty—together with
established researchers. The more
senior women will serve as panelists,
giving information and advice on
many aspects of academic careers.
Topics will include getting a job,
preparing for the tenure decision,
building a research program, advising

graduate students, teaching, the
importance of networking, time
management and family issues. Also
featured is a mini-workshop on
writing a National Science Founda-
tion proposal.

The workshop is sponsored by the
Computing Research Association
with support from NSF

The NSF support allows the
workshop organizers to offer a limited
number of travel grants to cover
transportation, registration and hotel
expenses. The deadline for travel
grant applications is March 15. For
more information, contact Jan Cuny,
e-mail: cuny@cs.uoregon.edu.
Agencies play catch-up
after blizzard, shutdown

Bv Bill Gregory

Special to CRN

Federal science and technology
agencies in Washington are catching
up with backlogged paperwork from
budget- and blizzard-induced
furloughs. But short delays inflicted
at the beginning of a budget cycle,
compounded by uncertainty over
funding levels, will propagate longer
delays downstream.

The initial Dec. 15, 1995,
shutdown affected the National
Science Foundation and its grant
system supporting basic research in
the following ways:

= More than 2,500 proposals,
including those in computer science,
backed up in the mail room in a
month.

= Nearly 40,000 pieces of mail
and 1,500 requests for forms and
publications queued up for response
or waited for distribution.

= Grant installments—156 due
Dec. 31, 1995, and 266 in January—
backed up for processing. These were
being worked off at the end of
January. But in the interim, graduate
students went without pay, and
laboratories were left short of funds
to pay hills.

= Review panel meeting sched-
ules were disrupted. As many as 50
were delayed or cancelled. At least
a dozen were in computer science
and engineering.

Because of the lost three and a
half weeks, NSF advised university
presidents and industrial laboratories
that it might not be able to meet its
six-month proposal processing target
or honor start dates. Delays in
receiving proposals or holding
advisory panel meetings can cause
delays in funding decisions or possibly
gaps in funding for renewals. New
competitions will be delayed while
backlogs are cleared.

Under pressure in the furlough’s
wake is the advisory panel review
process. In no case, though, the
agency said, “will NSF compromise
on its standards for rigorous peer
review.” In effect, the agency is

trying to maintain review integrity
while avoiding a specter: back-
logged awards at year end that
could leave some dangling without
funding.

Among specific computer science
programs:

= NSFnet program review and
board of visitors meetings had to be
rescheduled.

= Renewal programs for the
domestic Networking Connections
program and recompetition for the
International Connections award will
probably be delayed six months.

= Partnerships for Advanced
Computational Infrastructure won
approval from the National Science
Board in mid-December. Submission
deadlines slipped two weeks. NSF’s
Advanced Scientific Computing
Division is playing catch-up with
meeting schedules to explain the new
program.

Not directly affecting computer
science grantees now—-but it might
in the future—is a restudy of the
agency’s decade-old organization for
its Computer and Information
Science and Engineering Directorate.
A review committee headed by Rick
Adrion, professor of computer
science at the University of Massa-
chusetts and a Computing Research
Association Board member, had
scheduled a sequence planning
meeting Dec. 22, 1995, for a report
due in May.

Now that meeting has slipped
until June. “That may sound trivial,”
said Melvyn Ciment, the directorate’s
deputy assistant director. “It's not.
We have to get the reorganization
plans to Congress for the next
budget. If we miss that cycle, we may
be a year behind.”

Another case is recompetition
of the International Connections
program, for which Sprint is the
contractor. “It’'s under an extension
right now,” Ciment said. “But
because of the furlough’s three-
week delay in getting internal

Continued on Page 9
NSF supercomputer center
recompetition back on track

By Bill Gregory

Special to CRN

Just a day before the federal government furlough sequence began, a
program announcement release was due for a major transition in computer
science: the Partnerships for Advanced Computational Infrastructure.
This program is to recompete National Science Foundation contracts for
four university supercomputer centers.

Much study and discussion had revolved around the question of
whether to recompete, renew or extend the existing four centers, funded
since 1985. Since then, other centers have sprung up. Last August a report
by a committee headed by Edward Hayes, along with other reports,
brought a decision for recompetition. The announcement was written and
ready in December.

“It never made it out then,” said Melvyn Ciment, deputy assistant
director for the foundation’s Computer and Information Science and
Engineering Directorate. “But it's back on track.” Deadlines slipped only a
couple of weeks.

“If we had slipped it the full month, it would have really run into major
problems downstream,” Ciment said. “People don't realize these things are
written with a staging process.” Announcements have to go out, and
responses have to come back for inside-the-building and outside blue-
ribbon-panel review. Then comes source selection and negotiation of
complex contracts. The whole process takes about 12 months. In this
program, the target is April 1997.

Inherent in the supercomputer recompetition is a plan for transi-
tion if a new center is selected. “A major supercomputer center has
thousands of users,” Ciment said. “Let’s say we decide not to renew
center X. We have to figure out a plan to migrate those users to some
other system—a withdrawal plan. That can take several months by
itself.”

All this assumes that furloughs are over. Beyond that comes the more
critical question of eventual budget levels, still very much up in the air.

Rep. Walker won't run again

Robert Walker (R-PA), chair of the House Science Committee, has announced
he will not seek re-election. He has served 10 terms and became chair of the
Science Committee last year when Republicans won control of the House.

In explaining his decision to retire, Walker referred to the 200-year-old
tradition that no one in the congressional seat he occupies had ever served
more than 20 years. “As someone who came to office promising myself that |
would not spend the rest of my working life in the Congress, this is the right
time to move on and in the process help keep a little bit of history intact,” he
said.

Wialker’s tenure as Science Committee chair has been most notable for his
efforts to move the R&D agenda away from what he considered inappropriate
technology policy and toward an increased focus on basic research. To symbolize
that effort, he removed the word “technology” from the full committee’s
previous name and changed the name of the Subcommittee on Science to the
Subcommittee on Basic Research.

Walker also was deeply involved in the budget process and is a close
confidant of House Speaker Newt Gingrich. His influence in those roles has
been credited with helping protect the National Science Foundation’s
appropriation at a time when major cuts were being made in government
programs.

Rep. Jim Sensenbrenner Jr. (R-WI1) is next in line to chair the committee
after Walker departs. But the volatility of elections these days, coupled with the
usual game of musical committee chairs played in any new Congress, make any
predictions at this point highly speculative.

Gries wins Karlstrom award

David Gries has been named the 1995 Karl V. Karlstrom Outstanding Educator
by the Association for Computing Machinery.

Gries, the William L. Lewis Professor of Engineering at Cornell Univer-
sity, is being honored in “recognition of his leadership in the training of
several generations of computer science students,” an ACM press release
said.

“Professor Gries has played a central role in national curricula development
committees and has been a visible presence within national organizations in the
discussion of future directions for computer science education,” the press release
said. “[He] often serves not just as a mentor for students at Cornell, but as a
mentor for his faculty colleagues as well.”

The award, sponsored by Prentice-Hall Publishing Co., includes a $5,000 prize.

Page 5
New enrollment in Ph.D. programs drops

Results of the 1995 CRA Taulbee Survey on the
Production and Employment of Ph.D.s and
Faculty in Computer Science and Computer

Engineering

By Gregory R. Andrews

Chair, CRA Surveys Committee

This is the 25th year of publication of the Computing Research Association’s
annual survey on the production and employment of Ph.D.s in computer
science and engineering. A few years ago the CRA Taulbee Survey! was
expanded to include computer engineering as well as computer science. Last
year we began reporting on the areas of Ph.D. study (see Table 5).

Each September this survey is mailed to all organizations included on the
CRA Forsythe List of departments in the United States and Canada that offer a
Ph.D. in computer science or computer engineering.?

The accompanying tables present the results of the 1995 CRA Taulbee
Survey. Information was gathered during the fall and early winter. The tables
include all responses received by the first week of February.

The response rate continues to be quite high (about 91%). This is excellent
for surveys of this kind, although it is not as high as a few years ago.

Information on degree production and enrollment applies to the previous
academic year (1994-95). Information on faculty applies to the current fiscal
year (1995-96). Faculty salaries reflect those in effect as of Jan. 1, 1996. Readers
should keep in mind that survey results are from Ph.D.-granting departments
only; there are hundreds more departments that award bachelor’s and master’s
degrees.

This article draws attention to the most significant results of the survey,
especially results that are substantially different from last year.

Degree production (Figures 1-2; Tables 1-8)

Although the tables and graphs show a total of 1,006 Ph.D. degrees awarded
in CS and CE, CRA staff called the 9% of departments that failed to respond.
We found 73 degrees that went unreported, bringing the total number of Ph.D.s
to 1,079. Last year’s survey indicated 1,005 Ph.D.s, with 8% of departments
failing to respond. Because no attempt was made last year to count unreported

Thetitle of the survey honors the late Orrin E. Taulbee of the University of Pittsburgh, who
conducted these surveys for the Computer Science Board from 1970 until 1984.

2The CRA Forsythe List is a list of departments in the United States and Canada that grant a
Ph.D. in computing—computer science (CS) and computer engineering (CE). It is maintained
by the Computing Research Association. This is the ninth year computer engineering depart-
ments have been included.

SAlthough the University of Pennsylvania and the University of Chicago were tied in the
National Research Council rankings, CRA made the arbitrary decision to place Pennsylvania
in the second tier of schools.

degrees and because the response rate dropped only one percentage point, one
could assume that degree production has remained flat.

Ph.D. production has remained essentially steady throughout the 1990s (see
Figure 2). The predicted number for this year is for only slightly more than last
year, but predictions have historically been high by about 100. So perhaps only
about 1,000 Ph.D.s will actually be awarded in 1996. Far more significant is the
drop in new enrollment in Ph.D. programs (see student enrollment section
below).

The only significant change in the gender or ethnicity of Ph.D. recipients is
that the number of CS and CE Ph.D.s awarded to Hispanics tripled from 9 to
28. However, the percentage of degrees at all levels awarded to females and
minorities remains low.

There are no significant differences in the fields of specialization of Ph.D.
recipients relative to last year. Once again—and despite student fears—almost
all new Ph.D.s appear to have gotten jobs. The number who found jobs in
Ph.D.-granting departments or in industry is much higher than it was a year ago,
but this could be because the number of “unknowns” is much smaller this year.

The numbers of bachelor’s and master’s degrees awarded by the Ph.D.-
granting departments are down about 8% and 15%, respectively, relative to a
year ago. The change in bachelor’s degree numbers appears to be transitory; the
master’s degree numbers appear likely to continue to fall (see below).

Student enroliment (Tables 9-11)

The number of new bachelor’s students is up about 4%, but the numbers of
new master’s and doctoral students both are down almost 25%. The lower
doctoral numbers could quite possibly reflect student reaction to the current job
market. Also, there is probably a significant correlation between the master’s
and doctoral numbers in the Ph.D.-granting departments.

Faculty growth (Tables 12-17)

Faculty sizes are down about 3%, and anticipated growth in faculty size is
down from 345 to 310 new positions over the next five years. Estimates of
growth have always been optimistic, so it is plausible to predict that the total
number of faculty positions will remain essentially constant for the remainder of
the decade.

Far fewer faculty left their current positions—for whatever reason—than a
year ago (178 versus 252).

Faculty salaries (Tables 18-26)

Faculty salaries rose about 3.5% in all ranks relative to a year ago. However,
the average salary of a newly appointed faculty member rose only about 2%.

The salary numbers reported here are slightly higher than the preliminary
numbers report in the January 1996 CRN. (A few more departments responded
to the survey.)

For Tables 18-26, each department was asked for the minimum, mean and
maximum salary for each category of professor. Because tables show the mini-
mums and maximums of the minimums and maximums reported by each
department, these figures reflect salaries of individual professors. Also shown are

Text continued on next page

DEGREE PRODUCTION IN ACADEMIC YEAR 1994-95
Figure 1 (above) shows a steady growth in the number of departments awarding
CS and CE degrees. It does not include 14 CS/CE departments we believe offer
Ph.D.s, but that did not respond to the survey. Figure 2 (right) shows a slight
decline or plateau in the total Ph.D. production of CS and CE degrees. However,
these historical indications may be slightly inaccurate. First, the survey response
rate has dropped, raising the possibility of more unreported degrees. (The re-
sponse rate is shown in parentheses for each year.) Second, a few electrical
engineering degrees may have been included in past statistics. During the last two
years, more rigorous attempts were made to include only CS and CE degrees.
Ph.D.s Average

Produced per Dept.
US CS Ranked 1-12 213 17.8
US CS Ranked 13-24 170 14.2
US CS Ranked 25-36 85 7.7
US CS Other 417 5.6
Canadian CS 77 51
US CE 44 7.3
Total CS&CE 1,006 7.7

Ph.D.s Average Passed Average
Next Year per Dept. Qualifier per Dept.
222 18.5 164 14.9
153 12.8 165 16.5
133 12.1 84 10.5
489 6.5 422 6.4

78 5.2 64 7.1
74 12.3 84 14.0
1,149 8.3 983 9.4

Table 2. Gender and Ethnicity of Ph.D. Recipients

CS CE CS & CE
Male Female Total Male Female Total Male Female Total
Nonresident Alien 251 30 281 28 3 31 298 34 332
African American 7 1 8 0 0 0 8 1 9
Native American 0 0 0 0 0 0 1 0 1
Asian 96 19 115 15 0 15 125 24 149
Hispanic 20 7 27 0] 0 0 21 7 28
White 286 60 346 15 4 19 325 70 395
Other/Did Not Indicate 66 22 88 3 0 3 70 22 92
Unknown - - 6 - - 2 - - 0
Total 726 139 871 61 7 70 848 158 1,006
Table 6. Ethnicity of Ph.D. Recipients by Percentage
CS CE CS & CE CS CE CS&CE
Male 727 (83%) 63 (90%) 843 (84%) No_nresident Alien 281 (35%) 31 (46%) 332 (35%)
Female 144  (17%) 7 (10%) 163 (16%) African American 8 (1%) 0 (0%) 9 (1%)
Native American 0 (0%) 0] (0%) 1 (0%)
Total 871 70 1,006 Asian 115 (14%) 15 (22%) 149 (16%)
Hisparic 27 @w o oW 28 @
Bachelor’s Master's White 346 (43%) 19 (28%) 395 (42%)
Male 6,189 (82%) 3,554  (80%) Other 25 (3%) 2 (3% 27 (3%)
Female 1,372 (18%) 871  (20%) Sgbtotal _ 802 (100%) 67 (100%) 941 (100%)
Did Not Indicate 69 3 65
Total 7,561 4,425 Total 871 70 1,006

Table 5. Employment of Ph.D. Recipients by Specialty

g g g g » Table 7. Ethnicity of Bachelor's and Master’s Recipients

) 2 =) g 5 Bachelor’s Master's

T ap <8 & Nonresident Alien 525  (11%) 1,457 (38%)

=g % g 8 2 o African American 152 (3%) 55 (1%)

S5 2L o g g 5 - Native American 15  (0%) 3 (0%)
Ph.D.s Employed 55 58 5§58 £ 2 £ E Asian 826  (17%) 707 (18%)
Domestically in: et 209 B0 F Hispanic 145 (3%) 52 (1%)
Ph.D. CS/CE Dept. 63 22 9 49 19 21 208 White 3,063 (63%) 1,507 (39%)
Non-Ph.D. CS/CE Dept. 10 12 5 18 10 67 Other 142 (3%) 63  (2%)
Non-CS/CE Dept. 3 0 1 4 2 2 12 Subtotal 4,868 (100%) 3,844 (100%)
Industry 47 76 14 89 30 53 336 Did Not Indicate 2,693 581
Government 11 2 2 7 4 3 39 Total 7,561 4,425
Self-Employed 5 1 2 8 1 1 18
Other Categories;
Employed Abroad 26 15 8 40 16 16 132 Bachelor's Master's Ph.D.
Unemployed 3 2 0 5 3 3 17 cs 20 10 5
Unknown 22 13 4 9 10 38 188 CE 4 3 0
Total 193 143 45 229 94 147 * CS & CS 24 13 5

Footnotes

All ethnicity tables: “Native American” includes Alaskan natives; “Asian” in-
cludes people originating from the Pacific Islands, China, Japan, Korea, the
Philippine Islands, Samoa, India and Vietnam; “white” includes people originat-
ing from Europe, North Africa and the Middle East.

All tables with rankings: Statistics sometimes are given according to departmen-
tal rank. Schools are ranked only if they offer a CS degree and according to the
quality of its CS program as determined by reputation. Those that only offer CE
degrees are not ranked, and statistics are given on a separate line, apart from
the rankings. In Table 1, the “Ph.D.s Produced” column shows the number of
CS and CE degrees produced throughout the rankings. While CE degrees are
mixed into all rank categories, there are no CS degrees in the CE category.

*Totals do not match: The reader may find that totals from certain tables do not
equal each other, even though theoretically they should. These discrepancies
stem from inconsistencies in the way departments answered different ques-
tions. We tried to minimize this by calling departments that provided inconsis-
tent answers. The horizontal and vertical totals in Table 5 do not equal each
other because many departments could not tell us the specialty area of the
Ph.D.s.

Nonresident faculty: A small percentage of faculty were nonresident aliens when
they were hired to work in fiscal 1995-96. In many cases, these new employees
were gaining residency based on their new employment prospects.

All faculty tables: The survey makes no distinction between faculty specializing
in CS versus CE programs. We tried to minimize inclusion of any faculty in
electrical engineering.

| Survey from previous page |

the means of the minimums and maximums reported by each department.
Finally, the average of all salaries is the average of the means reported by
each department. If a department gave only a partial answer for a category
of professor, it was discounted. All Canadian salaries are in Canadian
dollars.

Rankings

For Tables 18-26, which group Computer Science Departments by the rank
of 1-12, 13-24 and 25-36, we based our ranking on information released in the
1995 assessment of research-doctorate programs in the United States done
under the auspices of the National Research Council.

Our top 12 schools are Stanford University, the Massachusetts Institute of
Technology, the University of California at Berkeley, Carnegie Mellon Univer-
sity, Cornell University, Princeton University, the University of Texas at Austin,
the University of Illinois at Urbana-Champaign, the University of Washington,
the University of Wisconsin at Madison, Harvard University and the California
Institute of Technology.

The departments ranked 13-24 are Brown University, Yale University,
the University of California at Los Angeles, the University of Maryland at
College Park, New York University, the University of Massachusetts at
Amherst, Rice University, the University of Southern California, the

Continued on Page 8
STUDENT ENROLLMENT IN ACADEMIC YEAR 1994-95

Table 9. Gender of Enrolled Ph.D. Students

CSs CE CS & CE
Full Time Part Time Full Time Part Time Full Time Part Time
Male 4,930 (84%) 791 (82%) 410 (88%) 64 (91%) 5,663 (85%) 976 (82%)
Female 927 (16%) 178 (18%) 57 (12%) 6 (9%) 1,038 (15%) 209 (18%)
Total 5,857 969 467 70 6,701 1,185

Table 10. Ethnicity of Enrolled Ph.D. Students

CS CE CS & CE
Full Time Part Time Full Time Part Time Full Time Part Time

Nonresident Alien 1,999 (37%) 143  (19%) 176 (43%) 18 (27%) 2,212  (37%) 188 (21%)
African American 94 (2%) 20 (3%) 3 (1%) 2 (3%) 105 (2%) 24 (3%)
Native American 15 (0%) 2 (0%) 0 (0%) 0 (0%) 15 (0%) 2 (0%)
Asian 635 (12%) 127  (17%) 95 (23%) 12 (18%) 807 (13%) 153 (17%)
Hispanic 96 (2%) 14 (2%) 8 (2%) 2 (3%) 108 (2%) 16 (2%)
White 2,453 (46%) 427  (58%) 125 (30%) 32 (48%) 2,653 (44%) 520 (57%)
Other 93 (2%) 8 (1%) 3 (1%) 1 (1%) 102 (2%) 10 (1%)
Subtotal 5,385 (100%) 741 (100%) 410 (100%) 67 (100%) 6,002 (100%) 913 (100%)
Did Not Indicate 472 228 57 3 699 272

Total 5,857 969 467 70 6,701 1,185

Table 11. New Students in Fall 1995

Bachelor’s Master’s Ph.D.

Full Time Dept. Avg. Full Time Dept. Avg. Full Time Dept. Avg.
US CS Ranked 1-12 1,375 114.6 215 17.9 200 16.7
US CS Ranked 13-24 480 40.0 231 19.3 181 15.1
US CS Ranked 25-36 710 59.2 163 13.6 114 9.5
US CS Other 5,428 57.1 1,155 12.2 466 4.9
Canadian CS 1,892 118.3 254 15.9 80 5.0
US CE 214 16.5 155 11.9 31 2.4
Total CS&CE 10,099 63.1 2,173 13.6 1,072 6.7

FACULTY GROWTH IN FISCAL 1995-96

Table 12. Anticipated Faculty Growth

1995-96 1996-97 1997-98 1998-99 1999-00 2000-01 Five-Year Increase
US CS Ranked 1-12 312.4 316.4 319.9 321.9 323.9 326.1 13.7 (4%)
US CS Ranked 13-24 298.5 304.5 310.5 315.5 317.5 319.5 21.0 (7%)
US CS Ranked 25-36 243.2 253.2 259.2 264.2 269.2 274.2 31.0 (13%)
US CS Other 2,784.0 2,849.5 2,902.0 2,950.0 2,984.0 3,015.2 231.2 (8%)
Canadian CS 395.6 398.3 399.3 403.3 405.3 406.3 10.7 (3%)
US CE 182.0 183.0 183.0 184.0 184.0 184.0 2.0 (1%)
Total CS&CE 4,215.7 4,304.9 4,373.9 4,438.9 4,483.9 4,525.3 309.6 (7%)
Assistant Associate Full Tenured Tenure-Track Other
Male 499 (80%) 872 (90%) 1,086 (95%) Male 14 (82%) 79  (80%) 105 (81%)
Female 125 (20%) 96 (10%) 58  (5%) Female 3 (18%) 20  (20%) 24 (19%)
Total 624 968 1,144 Total 17 99 129
Assistant Associate Full Tenured Tenure-Track Other
Nonresident Alien 31 (5%) 4  (0%) 6 (1%) Nonresident Alien 1 (6%) 8  (9%) 17 (15%)
African American 8 (1%) 3 (0%) 3 (0%) African American 0 (0%) 1 QA% 0 (0%)
Native American 1 (0%) 2 (0%) 0 (0%) Native American 0 (0%) 1 (%) 0 (0%)
Asian 128 (21%) 204 (23%) 124 (12%) Asian 5 (31%) 18  (20%) 16 (14%)
Hispanic 12 @) 9 (%) 10 e AN 10 G 57 (4 75 (689
White 403 (67%) 650 (73%) 902 (85%)
Other 17 (3%) 20 (2%) 21 (2%) Other 0 (0% 2 (2% 2 (2%
Subtotal 16 (100%) 89 (100%) 111 (100%)
Subtotal 600 (100%) 892 (100%) 1,066 (100%) Did Not Indicate 1 10 18
Did Not Indicate 24 76 78
Total 17 99 129
Total 624 968 1,144

Table 15. Faculty Losses | Survey from Page 7

With Without

Ph.D. Ph.D. Total University of Michigan, the University of California at San Diego, Columbia
Died 3 0 3 University and the University of Pennsylvania.®
Retired 28 4 32 The departments ranked 25-36 are the University of Chicago, Purdue
Visitors Returning to Employer 25 1 28 University, Rutgers—the State University of New Jersey, Duke University, the
Teaching Elsewhere 51 1 52 University of North Carolina at Chapel Hill, the University of Rochester, the
Left for Nonacademic Position 35 9 44 State University of New York at Stony Brook, the Georgia Institute of Technol-
Returned to Graduate School 0 0 0 ogy, the University of Arizona, the University of California at Irvine, the
Remained, Changed to Part Time 3 1 4 University of Virginia and Indiana University.
Other 11 0 11
Unknown 4 0 4 Acknowledgments

Phillip Louis, Frank Winstead and Juan Osuna of CRA drafted the survey,

Total 160 16 178

collected the data, made follow-up calls and prepared the accompanying tables.
FACULTY SALARIES IN FISCAL 1995-96

Table 18. Nine-Month Salaries, 110 Responses of 133 US CS Departments

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 477 of 481 $33,300 $51,405 $66,000 $53,913 $42,500 $56,640 $73,800
Associate 677 of 685 $36,941 $56,968 $97,250 $62,536 $51,529 $69,114 $97,250
Full 823 of 845 $47,871 $68,540 $100,000 $84,203 $54,500 $106,599 $186,900

Table 19. Nine-Month Salaries, 11 Responses of 12 US CS Departments Ranked 1-12

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 70 of 74 $52,000 $55,066 $63,000 $57,705 $54,970 $62,843 $73,800
Associate 75 of 76 $49,050 $58,755 $64,750 $65,624 $69,700 $74,754 $86,790
Full 156 of 158 $55,600 $71,328 $81,500 $94,732 $111,078 $133,678 $166,667

Table 20. Nine-Month Salaries, 12 Responses of 12 US CS Departments Ranked 13-24

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Avg. of all Salaries Min. Mean Max.
Assistant 57 of 57 $43,000 $53,613 $61,500 $56,448 $53,813 $59,729 $69,500
Associate 86 of 86 $54,247 $61,596 $70,700 $66,507 $63,000 $75,004 $92,700
Full 142 of 143 $60,377 $70,869 $85,500 $93,843 $106,300 $129,424 $186,900

Table 21. Nine-Month Salaries, 11 Responses of 12 US CS Departments Ranked 25-36

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 49 of 49 $50,800 $53,614 $57,000 $56,136 $55,518 $59,080 $70,810
Associate 84 of 84 $55,980 $61,316 $71,400 $65,470 $62,697 $69,965 $86,800
Full 111 of 116 $60,300 $71,539 $86,400 $89,186 $83,880 $113,934 $167,000

Table 22. Nine-Month Salaries, 76 Responses of 97 US CS Departments Ranked Higher Than 36 or Unranked

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 301 of 301 $33,300 $50,204 $66,000 $52,658 $42,500 $54,887 $73,000
Associate 432 of 439 $36,941 $55,417 $97,250 $61,152 $51,529 $67,393 $97,250
Full 414 of 428 $47,871 $67,351 $100,000 $80,469 $54,500 $98,477 $157,200

Table 23. Nine-Month Salaries, 9 Responses of 13 US CE Departments

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 45 of 45 $50,000 $52,539 $57,000 $54,687 $52,000 $56,646 $60,480
Associate 57 of 58 $52,018 $58,396 $64,076 $63,603 $61,800 $69,746 $77,300
Full 67 of 68 $69,336 $72,618 $77,950 $84,653 $72,099 $105,889 $138,430

Table 24. 12-Month Salaries, 11 Responses of 16 Canadian CS Departments (Canadian Dollars)

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 58 of 58 $43,000 $52,212 $62,252 $57,086 $52,984 $61,330 $69,538
Associate 149 of 154 $52,000 $60,574 $76,086 $69,985 $58,000 $81,516 $125,233
Full 138 of 138 $63,000 $77,492 $108,488 $89,668 $84,165 $111,857 $159,539

Table 25. Nine-Month Salaries, 119 Responses of 146 US CS and CE Departments

# Reporting Reported Salary Minimums Reported Salary Maximums
Faculty Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
Assistant 522 of 526 $33,300 $51,484 $66,000 $53,965 $42,500 $56,640 $73,800
Associate 734 of 743 $36,941 $57,066 $97,250 $62,614 $51,529 $69,157 $97,250
Full 890 of 913 $47,871 $68,814 $100,000 $84,237 $54,500 $106,551 $186,900

Table 26. Salaries of Newly Appointed Faculty, 46 Responding CS and CE Departments

# Reporting Reported Salary Minimums Reported Salary Maximums
Dept. Rank Salary Data Min. Mean Max. Avg. of all Salaries Min. Mean Max.
US: CS 1-12 5o0f 5 $54,325 $55,606 $57,600 $55,606 $54,325 $55,606 $57,600
CS 13-24 4 of 4 $50,000 $52,314 $55,600 $53,209 $51,157 $54,489 $58,700
CS 25-36 4 of 4 $50,000 $54,333 $57,000 $54,400 $50,000 $54,467 $57,000
CS Other 34 of 35 $27,000 $49,093 $54,500 $49,309 $30,000 $49,538 $56,000
CE 4 of 6 $50,000 $52,875 $57,000 $52,875 $50,000 $52,875 $57,000
CS&CE 51 of 52 $27,000 $50,755 $57,600 $50,984 $30,000 $51,257 $58,700
Canadian: CS&CE 12 of 12 $27,500 $42,514 $56,202 $45,639 $43,000 $48,889 $56,202

| Paperwork from Page 5

review, we now shift two months.
That review was scheduled perhaps
three months in advance. Reschedul-
ing is not going to happen in three
weeks.”

The contracts office, facing its
own problems because of the fur-
loughs, can do little to help make up
lost time. “We've lost six months. We
hoped to get something done this
year. Most probably it will have to go
the Science Board for approval,

something it otherwise might not
have needed.”

Holding off obligation of funds
until later in the year avoids
spending money that is not appro-
priated by Congress, but it leaves
the grant or contract in the paper-
work squeeze. Program offices have
to close out their books by the
middle of August so the agency can
close its books at the end of
September, the last month of the
fiscal year. Contract offices decline

to handle certain actions late in the
year because of paperwork process-
ing demands. So the prospect that a
three-week furlough delay could
stretch into a year for a program is
not an idle one.

In another case, a review of the
campus connections segment of the
domestic Networking Connections
program was scheduled in December,
before the program announcement
went out. Now the announcement
has slipped two months. “We may not

even be able to wait for that review,”
Ciment said. “We may have to do it
with an internal review, which may
not be the best kind of review we
want.”

Furlough effects outside of
Washington varied widely. Officials
at some federally supported labora-
tories contacted for this story said
they did not notice any effects from
the furlough; others reported
missed grant payments that left
unpaid bills.

Page 9
Cornell University

Department of Computer Science
Computer Science announces an opening for a
lecturer. This is a three-year, non-tenure-track
position beginning in August 1996, with the
possibility of renewal. The successful candidate
will teach introductory computer science courses
and participate in the activities of a top-rated
Computer Science Department dedicated to
quality teaching and research.

Qualifications include a Ph.D. in computer
science and substantial teaching experience.
Exceptional candidates with a master’s degree in
computer science and a record of outstanding
teaching will be considered. Demonstrated
commitment to teaching is essential. In addition
to outstanding qualifications as a teacher,
candidates must possess the interest and style to
be effective in a research institution.

Further information about the department is
available on the World Wide Web at URL: http://
www.cs.cornell.edu/.

Applicants should submit a curriculum vitae
and the names of at least three references to
Chair, Lecturer Recruiting Committee,
Department of Computer Science, 4130 Upson
Hall, Cornell University, Ithaca, NY 14853-7501.

Cornell University is an equal opportunity
employer and welcomes applications from women
and ethnic minorities.

Cornell University

Department of Computer Science
Tenure-track assistant professor: Applications are
invited for tenure-track positions beginning in
August 1996. These positions are at the assistant
professor level, although appointments at the
associate and full professor level will be
considered for highly qualified applicants.
Applicants should have a Ph.D. in computer
science or in a closely related field. The
department requires demonstrated research
accomplishment at a very high level as well as
outstanding teaching ability and leadership
qualities.

The Department of Computer Science at
Cornell University encompasses a wide range of
research areas, including algorithms, applied logic
and semantics, artificial intelligence, computing
theory, concurrency and distributed computing,
databases, information organization and retrieval,
multimedia systems, numerical analysis and
scientific computing, programming languages and
methodology, and robotics and computer vision.
REF: AP#1.

Non-tenure-track assistant professor: Three-
year, non-tenure-track position at assistant
professor level beginning in August 1996 to teach
introductory computer science courses, assist in
coordinating and teaching in the Master of
Engineering program. Applicants should have a
Ph.D. in computer science, substantial teaching
experience and a demonstrated commitment to
teaching. REF: AP#2.

Research: Research positions in scientific
computing and software systems. REF: RES#3.

Further information about the department is
available on the World Wide Web at URL: http://
www.cs.cornell.edu/.

Applicants should submit a curriculum vitae
and the names of at least three references to
Chair, Faculty Recruiting Committee, Depart-
ment of Computer Science, 4130 Upson Hall,
Cornell University, Ithaca, NY 14853-7501.
Please include the reference number with
application.

Cornell University is an equal opportunity
employer and welcomes applications from women
and ethnic minorities.

National Science Foundation
Division of Computer and
Computation Research

Two program director positions will be available
in the Division of Computer and Computation
Research starting Aug. 1, 1996. Program directors
are responsible for the planning and administra-
tion of research programs and serve as
spokespersons for their programs in the scientific
community. There are opportunities to influence
the direction of programs and to initiate new
programs, to be involved in cross-disciplinary
activities within NSF, to collaborate with other
federal agencies on programs of joint interest and
to represent NSF at professional meetings and
seminars. Program directors are encouraged to
keep abreast of relevant scientific research by
participating in independent research and
attending professional meetings and conferences.

A program director must have six or more
years experience since receiving a Ph.D. and a
successful record of personal research accom-
plishment. These positions are temporary;
appointments usually are made for two years. A
program director must be willing to relocate to
the Washington, DC, area for the duration of his/
her tenure at NSF. Salaries are competitive with
academic/research positions. Relocation expenses
or a housing allowance is provided for persons
who must relocate.

Program director—Software Engineering,
Languages and Architectures. This program
director supports research in software engineer-
ing, programming and specification languages and
semantics, and software architecture. Research
topics include domain-specific languages;
semantics-based program manipulation;
verification and validation; software architecture,
modularity and composition; software design
reuse; software development processes; software
metrics; and application-level fault tolerance.

Program director—Experimental Software
Systems. This program supports experimental
research on all aspects of software including
team-oriented, multi-investigator projects with
an experimental component. Because the scope
of this program cuts across several technical areas
within computer science and engineering, it will
be important for the ESS program director to
work with other program directors to obtain
expert reviews that span a broad spectrum of the
discipline.

For more information about these positions,
please contact Richard B. Kieburtz, Division

Director, Division of Computer and Computation
Research, National Science Foundation, 4201
Wilson Blvd., Room 1145, Arlington, VA 22230.
Tel. 703-306-1910; fax: 703-306-1947; e-mail:
rkieburt@nsf.gov.

NSF is an equal opportunity employer.

National Science Foundation
Computer and Information Science
and Engineering Directorate

The Computer and Information Science and
Engineering Directorate of the National Science
Foundation has anticipated program director
positions in a number of its divisions. These one-
to two-year temporary positions are filled with
visiting scientists or with temporary assignment
to NSF through the Intergovernmental Personnel
Act (IPA).

The division director should be contacted for
more information about possible vacancies and
the division’s programs.

Program vacancies are anticipated in the:

« Division of Computing and Computation
Research (Dr. Richard Kieburtz, division director,
tel. 703-306-1910, e-mail: rkieburt@nsf.gov).

= Office of Cross-Disciplinary Activities (Dr.
John Cherniavsky, office head, tel. 703-306-1980,
e-mail: jchernia@nsf.gov).

= Division of Networking and Communica-
tions Research and Infrastructure (Dr. George
Strawn, division director, tel. 703-306-1950,
e-mail: gstrawn@nsf.gov).

= Division of Microelectronics Information
Processing and Systems (Dr. Bernard Chern,
division director, tel. 703-306-1940, e-mail:
bchern@nsf.gov).

= Division of Advanced Scientific Computing
(Dr. Robert Borchers, division director, tel. 703-
306-1970, e-mail: rborcher@nsf.gov).

= Division of Information, Robotics and
Intelligent Systems (Dr. Yi-Tzuu Chien,
division director, tel. 703-306-1930, e-mail:
ytchien@nsf.gov).

IPA position compensation is based on the
individual's home institution salary; visiting
scientist positions usually are AD-4 positions
($62,472-$97,365 per annum). A successful
applicant usually has six or more years of
experience since receiving a Ph.D. and has a
successful record of personal research accom-
plishment.

The CISE Directorate’s home page is http://
www.cise.nsf.gov/.

Women and members of groups underrepre-
sented in CISE disciplines are especially
encouraged to investigate serving in these
positions. NSF is an equal opportunity,
affirmative action employer.

University of Virginia

Department of Computer Science
The University of Virginia invites applications
and nominations for chair of the Computer
Science Department. The department is rapidly
becoming known as a leader in both education
and research. The department is seeking a
qualified candidate who is interested in leading it
to its next levels of excellence and recognition.
Qualifications include acknowledged excellence
in scholarship, a broad vision of the field, a
strong commitment to quality, strong manage-
ment and leadership skills, an entrepreneurial
spirit, integrity and a special sensitivity to
increasing the number of faculty and students
from underrepresented groups.

For further information, please contact
Professor William Wulf, Department of Computer
Science, University of Virginia, Charlottesville,
VA 22903.

The University of Virginia is an equal
opportunity employer. It especially invites
applications from underrepresented groups.

University of Alberta
Department of Computing Science
Applications are invited for a tenure-track
position at the assistant professor level in the
areas of software engineering or communication
networks. The successful candidate should have
a strong software systems background.
Responsibilities include research as well as
teaching at both the graduate and undergraduate
levels.

The department consists of 33 academic and
22 support staff and offers a graduate program
with more than 100 M.Sc. and Ph.D. students.
Current computer equipment consists of a
network interconnecting several multiprocessor
Sun servers, two multiprocessor SGI servers, four
Sun file servers delivering 60 gigabytes of storage,
and more than 160 Sun, SGI, HP. DEC and IBM
workstations in research laboratories and offices.
The department is well connected via the
campus FDDI network to the remainder of the
campus units and the Internet via Arnet. There
is also a connection to the WURCnet ATM test
bed. Instructional facilities include eight Unix
workstation (Sun, SGI and Xterm) laboratories,
two of Macintoshes and one Intel 486. There are
well-supported research laboratories in artificial

intelligence, cognitive science, communication
networks, computer graphics, computer vision
and robotics, database, distributed/parallel
programming systems, software engineering, and
theory and scientific computation.

The current salary minimum is $39,230 with
the appointment level being commensurate with
qualifications and experience. Send curriculum
vitae, the names of three references and up to
three reprints or copies of important publications.
A Ph.D. or equivalent is the minimum
qualification; new Ph.D.’s should include a copy
of their transcript. Applications will be accepted
until April 1, 1996, with employment commenc-
ing July 1, 1996. For further information on the
department, please see our WWW site at http://
web.cs.ualberta.ca.

Please send applications to Dr. Paul G.
Sorenson, Chair, Department of Computing
Science, University of Alberta, Edmonton,
Alberta T6G 2H1, Canada. E-mail:
sorenson@cs.ualberta.ca.

In accordance with Canadian Immigration
requirements, priority will be given to Canadian
citizens and permanent residents.

The University of Alberta is committed to
the principle of equity in employment. As an
employer, we welcome diversity in the workplace
and encourage applications from all qualified
women and men, including Aboriginal peoples,
persons with disabilities and members of visible
minorities.

University of Pennsylvania
Department of Computer and
Information Science

The University of Pennsylvania invites
outstanding applicants for three tenure-track
appointments in both experimental and
theoretical computer science to start July 1,
1996. Senior-level appointments will also be
considered.

Applicants are sought in the areas of artificial
intelligence, algorithms and complexity,
databases, graphics, operating systems,
programming language implementation, robotics
and software engineering, but attention will be
given to exceptional candidates in any area of
computer science.

Faculty duties include undergraduate and
graduate teaching as well as research. As in
previous years, the university is looking for
applicants whose research would be enhanced by
the department’s existing strengths in algorithms
and computational biology, computer graphics
and animation, computer vision and robotics,
databases, gigabit networks, logic and computa-
tion, and natural language processing. We are
also eager to grow in the general area of
experimental computer science and encourage
applications from candidates who implement and
measure complex systems.

Applications, including the names of at least
three references, should be sent to Professor
Susan B. Davidson, Chair, Faculty Search
Committee, Department of Computer and
Information Science, School of Engineering and
Applied Science, University of Pennsylvania, 200
S. 33rd St., Philadelphia, PA 19104-6389.

To be assured full consideration, applica-
tions should be received as soon as possible.
Questions can be addressed to faculty-
search@central.cis.upenn.edu. Applications
should not be sent via e-mail.

The University of Pennsylvania is an equal
opportunity, affirmative action employer.

Brown University

Department of Computer Science
Applications are invited for a three-year tenure-
track, renewable faculty position in computer
science at the level of assistant professor
commencing Sept. 1, 1996. Applicants are sought
with research interests in theoretical and
analytical aspects of computer science.
Preference will be given to candidates with broad
interests who are clearly motivated by applica-
tions. Candidates are expected to have an
outstanding research record and an aptitude for
teaching. They are also expected to have
completed all the requirements for the Ph.D. in
computer science or a related field by no later
than Sept. 1, 1996.

Successful applicants will find at Brown a
stimulating environment conducive to
professional growth. Brown has a strong
department with a variety of interesting
research projects in the areas of analysis of
algorithms, artificial intelligence, combinato-
rial optimization, computational complexity,
computational geometry, computer graphics,
concurrent data structures and architectures,
database systems, graph drawing, logic
programming, operating systems, parallel
computation, parallel and distributed
debugging, programming environments,
programming languages and software
engineering. The undergraduate and graduate
students are first-rate.

The department is very well-equipped with
computing technology. It manages a network of
approximately 200 workstations, of which about
170 are Sun Sparc-10 workstations. It also has
access on campus to a 24-processor 1IBM SP/2.
The department occupies the two top floors of
Brown’s new Thomas J. Watson Sr. Center for
Information Technology. This striking building
houses many of the university’s computer
activities, including an innovative instructional
environment.

Applicants should send a resume and have
at least three referees send letters of recom-
mendation to Professor John E. Savage,
Department of Computer Science, Brown
University, Box 1910, Providence, Rl 02912.
E-mail: faculty_search@cs.brown.edu.

All application materials must be received by
March 31, 1996, for full consideration. Electronic
submissions in PostScript are encouraged.

Brown University is an equal opportunity
employer and encourages applications from
women and members of minority groups.

Johns Hopkins University
Department of Computer Science
The Department of Computer Science at Johns
Hopkins University invites applications for
anticipated faculty positions. We are particularly,
but not exclusively, seeking candidates with
research and teaching interests in all aspects of
computer systems, computer graphics and
geometric modeling, distributed systems and
databases, distributed language design, and
networking and mobile computing. All
applicants must have a Ph.D. in computer
science or a related field and are expected to
have an outstanding research record, commit-
ment to quality teaching and the ability and
willingness to develop a research program of the
highest quality.

Since its creation in 1986, the Department of
Computer Science at Johns Hopkins University
has grown to have significant research strengths
in the areas of parallel and distributed
computing, algorithm design, programming
languages, fault-tolerant computing, geometric
computing, computational biology, natural-
language processing, computer vision, robotics,
artificial intelligence, and biomedical applica-
tions and computer-assisted surgery. Computer
Science faculty members at Johns Hopkins
University are also actively involved in many
exciting interdisciplinary research activities in
university-affiliated institutes and centers,
including the Space Telescope Science
Institute, the MIND/BRAIN Institute, the
Human Genome Database, the Center for
Language and Speech Processing and the
newly founded Center for Geometric
Computing.

The Johns Hopkins University is a private
university well-known for its commitment to
academic excellence. Recently ranked as a “top
10" university by US News & World Report,
Hopkins attracts extremely talented undergradu-
ates and graduate students nationally and
internationally.

Applicants with Internet access should have
LaTeX, ASCII or PostScript copies of a
comprehensive curriculum vitae, a statement of
future plans for research and teaching and at
least three letters of reference sent via e-mail to
search@cs.jhu.edu; see also the World Wide
Web page: http://www.cs.jhu.edu/search.
Applicants who do not have access to the
Internet should have their information sent to
Faculty Search Committee, Department of
Computer Science, Room 224, New Engineering
Building, Johns Hopkins University, Baltimore,
MD 21218-2694. Fax: 410-516-6134. To ensure
full consideration, complete applications should
arrive by March 19, 1996.

The Johns Hopkins University is an equal
opportunity and affirmative action employer.

University of Tennessee, Knoxville
Vice Chancellor for Information
Infrastructure

The vice chancellor for information infrastruc-
ture at the University of Tennessee at Knoxville
(UTK) reports directly to the chancellor and has
executive responsibility for the policy making,
planning, development, implementation and
overall administration for computing and related
technologies in support of the university’s
teaching, research, outreach and administrative
activities. Major features of that responsibility
will be coordinating with other institutional
leaders, both academic and administrative, to
ensure that the university’s vision of becoming
the “Information University” and the “University
of Choice in the 21st Century” is realized.

The vice chancellor will: 1) create and
maintain a productive, dynamic environment for
the use of computing and related technologies in
teaching, research and public service; 2) create
and maintain an organizational climate and a
working environment within the Division of
Information Infrastructure that encourages
creativity, adaptability and cost-effectiveness in
meeting UTK’s needs; 3) have administrative
responsibility for the Academic Technology,
Computing and Administrative Systems,
Network Services and Telephone Services
organizations; 4) participate as a member of the
chancellor’s staff in policy making, strategic
planning, goal setting and troubleshooting on
institutional issues; 5) consult with campuswide
policy advisory committees composed of faculty,
students and staff; and 6) establish and maintain
vibrant working relationships with UTK
information content and service providers and
with UTK’s partners in industry, government and
academia.

Minimum of five years of managerial
experience in a broad variety of computer-related
areas is required. Experience in directing and
managing an open distributed-computing
environment in a research university is desirable.
Applicants must have a proven record of success
in planning and problem solving and in managing
complex information technology resources
involving highly skilled professional personnel.
Applicants must demonstrate a commitment to
diversity. Ability to communicate effectively with all
university and external constituencies and to
achieve strong interpersonal working relationships
with members of those constituencies is essential. A
sound educational background that includes a
doctoral degree or equivalent is required.

The University of Tennessee at Knoxville, a
Carnegie Research Level One institution, enrolls
approximately 26,000 students from every state
in the United States and approximately 100 other
countries. As Tennessee’s comprehensive campus,
UTK offers more doctoral programs than any other
institution in the state, and its faculty attract nearly
$80 million annually for sponsored research
programs. UTK is one of 27 higher-education
institutions holding the distinction of being both a
land-grant institution and state university.

Candidates should send an official letter of
application, a curriculum vitae, a list of five
references and a one- to two-page statement of
their vision of the role of computing and related
technologies in a research university in the 21st
century.

Applications may be sent via e-mail to vcii-
search@cs.utk.edu or via US mail to Professor
Robert C. Ward, Chair, VCII Search Committee,
Computer Science Department, The University
of Tennessee, Knoxville, TN 37996-1301. Further
information may be obtained by browsing URL:
http://www.ns.utk.edu/vcii.

UTK is an equal opportunity, affirmative
action, Title IX, Section 504, ADA employer.

Boston University

Department of Computer Science
Applications are invited for two tenure-track
assistant professorships beginning in September
1996. Qualifications required of all applicants
include a Ph.D. in computer science; a strong
research record; commitment to research and
teaching; and a research interest in networking,
algorithms, data visualization/navigation or a
closely related area.

The Computer Science Department
currently consists of 10 faculty and offers B.A.,
M.A. and Ph.D. programs. Our research
interests include parallel, distributed and real-
time systems; parallel languages and compilers;
networks; image and video computing; logic of
computation; and theoretical computer
science. The department has excellent
computing resources and in the last year has
been the recipient of significant grants for
research infrastructure and graduate student
support.

Qualified applicants should send a detailed
resume and arrange for at least three references
to be sent to Faculty Search Committee, Computer
Science Department, 111 Cummington St., Boston
University, Boston, MA 02215.

Please include a cover letter stating the
names of your references and your major area of
specialization. Reference letters may be e-mailed
(preferred) to search96@cs.bu.edu, marked
“Reference Letter for <candidate>". Additional
information is at http://cs-www.bu.edu.

These positions are offered pending final
university approval. Boston University is an equal
opportunity, affirmative action employer.

Rutgers University

Department of Computer Science

The Department of Computer Science at Rutgers
(New Brunswick), the State University of New
Jersey, anticipates hiring for a tenure or tenure-
track position starting in fall 1996. Particularly
sought are individuals pursuing research in
systems. Areas of interest include parallel and
distributed computing, databases, networking and
operating systems. A candidate should have a
Ph.D. in computer engineering or computer
science and should be committed to excellence in
research and teaching.

The department, with 35 full-time faculty,
has graduate and undergraduate programs
granting, typically, 12 Ph.D., 35 M.S. and 140
B.A./B.S. degrees per year. Rutgers offers

excellent opportunities for cultural activities and
close professional contact with nearby major
research laboratories and other leading
universities, as well as many on-campus,
interdisciplinary centers (e.g., DIMACS, Rutgers
Center for Cognitive Science and WINLAB).

Candidates should send a curriculum vitae,
including names and addresses of three
references, and copies of recent papers to Chair,
Faculty Search Committee, Department of
Computer Science, Hill Center, Busch Campus,
Rutgers University, Piscataway, NJ 08855. E-mail:
hiring@cs.rutgers.edu.

Rutgers is an affirmative action, equal
opportunity employer.

Florida Institute of Technology
Department of Computer Science
Applications are invited for a faculty position in
computer science commencing fall 1996. A Ph.D.
in computer science or a related discipline is
required. Of particular interest are candidates
with expertise in database systems, operating
systems and software engineering. Salary and
rank will be commensurate with accomplish-
ments and experience.

Florida Tech is a private university located in
Melbourne, on Florida’s Space Coast. Currently,
there are 120 undergraduate majors, 200 master’s
students, 25 Ph.D. students and 11 faculty
members in computer science. For more
information, see our WWW page at http://
cs.fit.edu.

Applicants should send a curriculum vitae
and the names and addresses of three references
to Dan E. Tamir, Recruitment Chair, Computer
Science, Florida Tech, Melbourne, FL 32901.
Review of applications will begin immediately,
and applications will be accepted until the
position is filled.

Florida Tech is an equal opportunity employer.

Louisiana State University
Department of Computer Science

The Department of Computer Science at
Louisiana State University invites applications for
a tenure-track position at the rank of assistant
professor to begin employment in the fall of 1996.

The department is particularly interested in
applications from those with an interest in the
areas of high-performance computing. Candidates
should be able to work with our CCLMS research
group as well as other faculty members in the
department. Applicants must have a Ph.D. in
computer science or equivalent.

Research emphases of interest include, but
are not limited to, scientific visualization, virtual
reality, high-performance networking, graphic
interfaces and other areas of computer science.

A detailed announcement of this position is
to appear in the March issue of Communications
of the ACM. If you are interested, please apply
and send the names of three references to
Professor S. S. lyengar, Louisiana State
University, Department of Computer Science,
Baton Rouge, LA 70803. Tel. 504-388-1495; fax:
504-388-1465; e-mail: iyengar@bit.csc.lsu.edu.
Submission via e-mail in PostScript is preferred.

LSU is an equal opportunity, affirmative
action employer.

University of Colorado, Boulder
Institute of Cognitive Science

The Institute of Cognitive Science of the
University of Colorado at Boulder invites
applications for a tenure-track position.
Preference will be given to candidates at the
assistant professor level, but candidates at all
levels will be considered. Candidates should have
a demonstrated interest in theoretical and
methodological applications of cognitive science
to education. In particular, candidates with a
strong background in and experience with
computational environments in support of
innovative educational approaches are sought.
The position will be closely associated with the
Center for LifeLong Learning and Design (L3D).
Depending on the candidate’s academic
background and interests, the academic
appointment will be in the Department of
Computer Science or in the School of Education.

L3D is an educational and research unit of
CU-Boulder sponsored jointly by the Institute of
Cognitive Science and the Department of
Computer Science. Its mission is the ongoing
development of theory and technology to support
learning (specifically lifelong learning, learning
on demand and collaborative learning) and
design in the context of authentic, self-directed,
realistic problems. L3D collaborates with
educational institutions, research organizations
and industrial partners to develop innovative
educational models supported by adequate
technology to prepare learners and workers for
the 21st century.

Preference will be given to candidates with
strong interdisciplinary education and interests,
and a commitment to contribute to interdiscipli-
nary research. Candidates should expect to 1)
teach a range of undergraduate and graduate
courses in cognitive science and the affiliated

department or school, and 2) actively engage
in and contribute to the research activities of
L3D.

Applicants should send a resume and three
letters of reference to Dr. Martha Polson,
Associate Director, Institute of Cognitive
Science, Campus Box 344, University of
Colorado, Boulder, CO 80309. Applications
should be received by April 1, 1996, to ensure
consideration. Early applications are encouraged.

For more information on the Institute of
Cognitive Science, the Center for LifeLong
Learning and Design, the Department of
Computer Science or the School of Education,
consult their respective World Wide Web pages:
http://psychwww.colorado.edu/ics/home.html,
http://www.cs.colorado.edu/~13d, http://
www.cs.colorado.edu and http://
www.colorado.edu/education_school.html.

The University of Colorado strongly supports
the principle of diversity. We are particularly
interested in receiving applications from women,
ethnic minorities, disabled persons, veterans and
veterans of the Vietnam era.

New York University

Department of Computer Science
The Computer Science Department seeks
candidates for a clinical faculty position starting
in September 1996, pending funding approval.
Junior and senior candidates will be considered.
The possible appointments are as a clinical
assistant professor, clinical associate professor or
clinical professor. This is a non-tenured position,
with a renewable three-year term; it is primarily a
teaching and not a research position. The main
duties are 1) teaching in the professional M.S.
programs (the department graduates 90 M.S.
students annually) and 2) managing the projects
course for the M.S. in information systems
program, a joint program of the Computer
Science Department and the Information
Systems Department in the Stern School of
Business. The projects are performed in
collaboration with major local corporations.

Candidates must be experienced practitio-
ners. Experience in an industrial setting
especially involving one or more of the following
topics is preferred: Internet services, groupware,
computer security, networks and intelligent
agents. Prior teaching experience is desired. A
Ph.D. is preferred.

Applications should be sent to Professor
Richard Cole, Chair, Department of Computer
Science, New York University, 251 Mercer St.,
New York, NY 10012-1185.

To ensure full consideration, please submit
your application by March 1; the search will
continue until all positions are filled. Early
application is encouraged. Please refer to the
department’s home page at URL: http://
cs.nyu.edu for further information.

The university is an equal opportunity,
affirmative action employer. The department
welcomes applications from women and
underrepresented minorities.

Harvard University

Department of Computer Science
We invite applications for a junior faculty
position in computer science. We are especially,
but not exclusively, looking for candidates with
an outstanding research record in up-to-date
aspects of programming languages, computer
graphics, theory or networking. Candidates
should have a Ph.D. in computer science or a
closely related discipline. Responsibilities include
teaching in the A.B. and graduate programs and
a strong research commitment.

Applicants should submit a curriculum vitae
and the names, addresses (including e-mail) and
telephone numbers of three references to the CS
Faculty Search Committee, Pierce Hall 218,
Harvard University, 29 Oxford St., Cambridge, MA
02138. Application deadline is March 31, 1996.

Harvard is an equal opportunity, affirmative
action employer and encourages applications
from women and members of minority groups.

Oakland University
Department of Computer Science

and Engineering

The Department of Computer Science and
Engineering invites applications for two anticipated
tenure-track positions at the assistant professor
level to begin in August 1996. One position is in
the area of software engineering (SE), the other in
computer science. The SE position involves

Continued on Page 12
March 1996

(By members of the Brown University
Department of Computer Science.)
Paris Kanellakis, his wife, Maria
Teresa Otoya, and their two children,
Alexandra and Stefanos, died Dec.
20, 1995, in the American Airlines
crash outside Cali, Columbia. Paris’s
tragic death has created a void both
at Brown University and in computer
science as a whole.

Paris was born in Athens, Greece;
he received his undergraduate
education at the National Technical
University of Athens, where he was
first in his class. He then went to the
Massachusetts Institute of Technol-
ogy, where he received his master’s
and Ph.D. degrees and came to
Brown as an assistant professor in 1981.
He became a US citizen in 1988 and a
full professor here in 1990.

Paris’s research area was theoretical
computer science. His contributions
were unique both in the breadth of his
interests and in his ability to carve out
research programs in which his keen
mathematical insight could be put to
the service of practical issues.

Broadly put, Paris was interested
in how the formal language in which

People in the News

CS community mourns death of Kanellakis

a problem is expressed affects the
class of problems one can use it to
attack. Most of us who have written
programs feel intuitively that some
problems are easier to express in one
language than another. Paris worked
at a more fundamental level: The
languages he explored were deliber-
ately kept simple, to make math-
ematical analysis possible. And the
choice of language could decide not
just ease of expression but whether or
not a problem could be expressed at all.

Furthermore, he recognized that
the more expressive a language, the
wider the class of problems it can
solve. It also follows that more
expressive languages are less likely to
admit efficiency—some of the
programs expressed cannot be solved
efficiently. Because this trade-off is
inevitable, one is always searching for
languages that best balance these
concerns.

Within this broad area, Paris
attacked a variety of issues. For
example, computer databases require
a language in which to express one’s
query. More recently the area of
constraint programming languages

attracted his attention. In a con-
straint language one says not merely
that a particular variable is always an
integer but that, say, it is an integer
between certain values. Concerning
efficiency, some of Paris’ most
important papers showed that
language features previously thought
unexceptionable—unification and
type checking, to cite what are
probably among his most important
results—in fact contain pitfalls that
require careful negotiation.

Also, because in many cases one
is interested in efficiency when using
not just a single computer but rather
a large collection of computers, Paris
made fundamental contributions to
the area of parallel processing. In all
these cases Paris worked closely with
practitioners in the area here at
Brown and elsewhere to ensure that
his work was grounded in reality. For
this and related work, Paris was
viewed as a leader in theoretical
computer science, particularly among
those with a taste for practice.

Paris was not only an intellectual
leader in his field but a professional
leader as well, through his willingness

to organize conferences, mentor
students and generally work for the
betterment of his intellectual
community. Paris put his great energy
and commitment at the service of our
department and the university as
well. He assumed many tasks for the
department and performed them with
skill, devotion and good spirits. But
occasionally this caused small
problems. For many years, our
department has operated in two time
zones: regular time and Kanellakis
time, which uniformly ran about 12
minutes behind.

Paris had great insight into human
nature and was fiercely honest. He was
one of the people always consulted on
tricky departmental issues because we
respected his opinions and valued his
insights. He also had a fine sense of
humor, a wonderfully wholehearted
laugh and an outgoing, energy-filled
personality that drew everyone to him.
He turned 42 just two weeks before his
death. His accomplishments were
immense even in the time he had, and
we grieve for the loss of what he would
have accomplished had he had more.
research and teaching in a new M.S. program in
software engineering. The ideal expertise includes
practical aspects of software engineering and its
mathematical foundations. The CS position
involves active research in computer science and
teaching undergraduate and graduate CS courses.

Candidates should have a Ph.D. in computer
science or computer engineering and strong
interest in both research and teaching. For full
consideration, applications should be submitted
by April 15, 1996. Applications will be accepted
until the positions are filled.

Applicants should send a letter of intent,
resume, the names of three references, copies of
publications and a statement of research and
teaching interests to Professor Ronald Srodawa,
Chair, Faculty Search Committee, Department of
Computer Science and Engineering, Oakland
University, Rochester, M1 48309-4401. E-mail:
srodawa@oakland.edu.

For additional information about the
department, college and the university, see http://
unix.secs.oakland.edu.

Oakland University is an affirmative action,
equal opportunity, ADA-compliant employer.

Southern Methodist University
Department of Computer Science
and Engineering

The Computer Science and Engineering
Department at Southern Methodist University
invites applications for a faculty position in the
area of software engineering beginning fall 1996.
Applicants should hold a Ph.D. in computer
science, computer engineering or a closely related
area and must demonstrate a strong commitment
to excellence in research and teaching.

SMU'’s CSE Department resides within the
School of Engineering and Applied Science. The
department offers degree programs in computer
science, computer engineering and software
engineering. It currently has 14 faculty members
working in parallel processing, distributed
operating systems, computer networks, computer
arithmetic, database systems, artificial intelli-
gence, computational programming, software
engineering and other related areas. The
department has plans to expand significantly in
the next few years.

The Dallas area, where SMU is located, has
one of the highest concentrations of high-tech
companies in the nation, offering abundant
opportunities for industrial research cooperation
and consulting.

Candidates should send a complete resume,
including the names of at least three references,
to Professor Dan I. Moldovan, Department of
Computer Science and Engineering, School of
Engineering and Applied Science, PO Box
750122, Southern Methodist University, Dallas,
TX 75275-0122. Applications will be accepted
until April 15, 1996.

SMU is an affirmative action, equal
opportunity, Title IX employer. The university
particularly encourages the candidacies of
women, minorities and persons with disabilities.
Clemson University

Department of Electrical and
Computer Engineering

The Department of Electrical and Computer
Engineering has an assistant professor tenure-
track faculty position to fill in the computer
engineering area. The department has strong
research programs in communication systems and
computational electromagnetics, power systems,
single-wafer MOCVD processing, mechatronic
systems, evolutionary computing, software
standards and computer architecture. Research
and teaching needs have identified software
engineering as a priority for this position.

A candidate is sought with teaching and
research interests that will sustain the basic core
curriculum of computer engineering and support
activities within the specialized computer systems
research area. A detailed description of this area
may be found at http://www.eng.clemson.edu/
~ece/csagrpl.html.

A specific emphasis in software engineer-
ing, including real-time operating systems,
programming systems and formal methods is
desirable. Candidates should possess a Ph.D. in
computer engineering or a closely related field.
The individuals selected will be expected to
contribute to active research programs at
Clemson and to teach both undergraduate and
graduate courses. A detailed description of the
department is available at http://
www.eng.clemson.

Send resume and names and addresses of
five references to Chair, Search Committee,
Department of Electrical and Computer
Engineering, 102 Riggs Hall, Box 340915,
Clemson University, Clemson, SC 29634-0915.
Evaluation will begin April 15 and continue until
the position is filled.

Clemson University is an equal opportunity,
affirmative action employer.

Oregon State University

Department of Computer Science

The Department of Computer Science at Oregon
State University has one or possibly more
openings for tenure-track assistant professors, to
start in April or September 1996. Specialization
in software engineering is desirable, but all
qualified applicants will be considered.

Applicants should have completed or expect
to complete all requirements for the Ph.D. in
computer science or a closely related field and
should have demonstrated research and teaching
potential.

To apply for these positions, send a complete
resume, statement of research interests and at
least three sealed letters of reference (electronic
mail is acceptable) to Faculty Search Committee,
Department of Computer Science, Oregon State
University, Corvallis, OR 97331-3202. E-mail:
sheryl@cs.orst.edu; WWW: http://www.cs.orst.edu.

For full consideration, apply by March 1,
1996; however, positions will remain open until
filled. Applications from women and minorities
are particularly encouraged.

OSU is an affirmative action, equal
opportunity employer.

Polytechnic University

Department of Computer and
Information Science

The Computer and Information Science
Department welcomes applications at all levels
for two tenure-track faculty positions. We are
particularly interested in candidates with
expertise in distributed and high-performance
computing, operating systems, networking and/or
software engineering, although excellent
candidates in all areas of computer science are
invited to apply.

Candidates should have a Ph.D. in computer
science or in a closely related field, a strong
research record and a commitment to excellence
in teaching. Faculty candidates at the full-
professor level will be expected to help develop,
in concert with current faculty, an active and
strong group in one of the above areas and to
have a demonstrated ability to secure substantial
external funding through grants or contracts.

The Department of Computer and
Information Science, which offers B.S., M.S. and
Ph.D. degrees, currently has 18 full-time faculty
members. Areas of active research include
parallel and distributed systems, algorithms and
data structures, databases, software engineering,
networks, image analysis, combinatorial
optimization, computational biology and
computational geometry. For more information
regarding Polytechnic and the Computer and
Information Science Department, you are
invited to visit our Web site at URL: http://
www.poly.edu/.

Applicants should send a resume, a select
subset of papers, a one- to two-page statement of
their future research plans and interests and the
names of at least three references to the address
below. In addition, the applicant should ask
references to send letters directly to the same
address. These letters will not be requested
directly by the department.

Send to Chair, Search Committee,
Department of Computer and Information
Science, Polytechnic University, Five MetroTech
Center, Brooklyn, NY 11201. Tel. 718-260-3828;
e-mail: jps@pucs4.poly.edu.

Evaluation of candidates will begin
immediately and continue until the search is
complete.

Polytechnic is an equal opportunity employer.
Applications from women and underrepresented
minorities are strongly encouraged.

University of Texas, El Paso
Department of Computer Science

The University of Texas at El Paso (UTEP) seeks
a tenure-track assistant or associate professor of
computer science. The successful candidate must
demonstrate a strong commitment to under-
graduate education and research experiences.
Additionally, the successful candidate is expected
to develop a successful research program in a
technical area of computer science. Although
applications are welcome from anyone who
holds a Ph.D. in computer science, the
department has particular interest in
candidates who specialize in systems or

concurrency. Information about the depart-
ment can be found in http://cs.utep.edu/csdept.

UTEP has recently been selected as a Model
Institution for Excellence (MIE) by NSF. The
university’s MIE focus is on undergraduate
education and undergraduate involvement in
meaningful research experiences. The successful
applicant is expected to participate in the
university’s MIE initiative and play an active role
in the university’s commitment to providing the
environment to encourage and enable student
success.

Applicants should submit a detailed resume
and the names of at least four references to
dcooke@cs.utep.edu.

UTEP does not discriminate on the basis of
race, color, national origin, sex, religion, age or
disability in employment or the provision of
services.

Florida State University

Department of Computer Science

The Florida State University Department of
Computer Science is seeking candidates for a
position in system administration. The position is
a 12-month, non-tenure-track faculty position
with duties in the teaching and service
categories. The SA position has three primary
areas of responsibility:

1. Computer system administration. The SA
will provide high-level oversight and leadership
in the management of departmental computing
resources, which include several student
laboratories as well as faculty, graduate student
and staff workstations, all supported by file and
compute servers on a network. Several employees
will report directly to the SA. This is the largest
academic computer system in the university.
Personnel and policy associated with the
department have traditionally played leadership
roles for the university.

2. Master’s track administration. The SA will
manage the department’s new master’s program in
computer system administration, which was
established in fall 1994 (see http://www.cs.fsu.edu/
academics/sysadmin).

3. Graduate teaching. The SA will teach two
graduate classes per year related to the system
administration degree program.

The position is a non-tenure-track faculty
position with a 12-month appointment,
renewable indefinitely. The successful candidate
will have a Ph.D. in computer science or a closely
related field and experience in at least some of
the areas of responsibility. Salary will be
competitive, depending on qualifications.

Applicants should send a resume and arrange
for three letters of recommendation to be sent to
Chair, System Administration Search Committee,
Department of Computer Science, Florida State
University, Tallahassee, FL 32306-4019. (See the
Web site http://www.cs.fsu.edu for more
information about the department.) The deadline
for applications is April 15, 1996.

The Florida State University is an equal
opportunity, affirmative action employer. It
especially encourages applications from women
and minorities.



